/*******************************************************************************
 * FoxHudUI_TDM generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxHudUI_TDM extends FoxHudUI within FoxUI
    native(HUD)
    config(HUD);

function SetupGameTypeWidget()
{
    local class<FoxGame> GameClass;

    AddGameTypeWidget(Outer.MyFoxHud.GameClass.default.GameTypeAbbreviatedName, 0);
    GameClass = Outer.GetGameClass();
    as_updateRedTeamScore(string(LastRedTeamScore), float(LastRedTeamScore) / float(GameClass.default.GoalScore));
    as_updateBlueTeamScore(string(LastBlueTeamScore), float(LastBlueTeamScore) / float(GameClass.default.GoalScore));
    //return;    
}

function AddGameTypeWidget(string GameType, int NumberOfCaptureNodes, optional string FriendlyTeamName, optional string EnemyTeamName, optional string GameTypeDisplayName, optional bool bHasRounds)
{
    super.AddGameTypeWidget(GameType, NumberOfCaptureNodes, Outer.GetMyTeamName(), Outer.GetEnemyTeamName(), GameTypeDisplayName, FoxGRI(Outer.GetWorldInfo().GRI).HasRounds());
    //return;    
}

defaultproperties
{
    GameplayDetailStrings(0)="Eliminate enemy team"
    GameplayDetailStrings(1)="First team to reach %i score wins"
    GameplayDetailStrings(2)="Have fun!"
}